part of 'login_bloc.dart';

@immutable
abstract class LoginState extends Equatable {
  const LoginState();
  @override
  List<Object?> get props => [];
}

class LoginInitial extends LoginState {
  const LoginInitial();
  @override
  List<Object?> get props => [];
}

class LoginLoading extends LoginState {
  const LoginLoading();
}

class LoginFailed extends LoginState {
  final String? message;
  const LoginFailed(this.message);
}


class LoginAccountRequired extends LoginState {
  final String username;
  final String password;
  const LoginAccountRequired(this.username, this.password);
}

class LoginSuccess extends LoginState {
  final LoginModel login;
  const LoginSuccess(this.login);
  @override
  List<Object?> get props => [login];
}

class LoginResetState extends LoginState {
  const LoginResetState();
}


